OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
RadialRangeFilter< ParticleArrayType, IndexT > Struct Template Reference

`#include <ParticleAtlas.h>`

## Public Types
using | PosType = typename ParticleArrayType::PosType
using | ScalarType = typename PosType::value_type
using | Range = std::pair< const IndexT *, const IndexT * >
using | RangeDeque = std::deque< Range >
using | IndexDeque = std::deque< IndexT >

## Public Member Functions
| RadialRangeFilter (RangeDeque &ranges, IndexDeque &indices, const PosType &xyz, ScalarType radius, const ParticleArrayType &particles, bool hasUniformRadius=false)
template<typename LeafNodeType >
void | filterLeafNode (const LeafNodeType &leaf)
void | filterVoxel (const Coord &, const IndexT *begin, const IndexT *end)

## Member Typedef Documentation

## ◆ IndexDeque

using IndexDeque = std::deque<IndexT>

## ◆ PosType

using PosType = typename ParticleArrayType::PosType

## ◆ Range

using Range = std::pair<const IndexT*, const IndexT*>

## ◆ RangeDeque

using RangeDeque = std::deque<Range>

## ◆ ScalarType

using ScalarType = typename PosType::value_type

## Constructor & Destructor Documentation

## ◆ RadialRangeFilter()

RadialRangeFilter | ( | RangeDeque & | ranges,
|  | IndexDeque & | indices,
|  | const PosType & | xyz,
|  | ScalarType | radius,
|  | const ParticleArrayType & | particles,
|  | bool | hasUniformRadius = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ filterLeafNode()

void filterLeafNode | ( | const LeafNodeType & | leaf | ) |
| inline

## ◆ filterVoxel()

void filterVoxel | ( | const Coord & | ,
|  | const IndexT * | begin,
|  | const IndexT * | end
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- ParticleAtlas.h